Download it now!
Bug 30442 - An army of //UNUSED comments in calc
Summary: An army of //UNUSED comments in calc
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium minor
Assignee: Kohei Yoshida
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-28 17:46 UTC by Justin Malcolm
Modified: 2012-05-04 02:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
This gets rid of a great number of the comments (146.83 KB, patch)
2010-09-28 17:46 UTC, Justin Malcolm
Details
I think that this eliminates the remaining //UNUSED comments (93.41 KB, patch)
2010-09-29 09:56 UTC, Justin Malcolm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Malcolm 2010-09-28 17:46:31 UTC
Created attachment 39034 [details]
This gets rid of a great number of the comments

There are a great number of places in calc where code is commented out with lines staring in "//UNUSED".  Since 'git' is being used, there is no reason to keep old code like this in comments.
Comment 1 Justin Malcolm 2010-09-28 17:50:16 UTC
Comment on attachment 39034 [details]
This gets rid of a great number of the comments

The patch is contributed under GPL3+ if that makes a difference.
Comment 2 Justin Malcolm 2010-09-28 17:51:27 UTC
The patch is contributed under GPL3+ if that makes a difference...
Comment 3 Kohei Yoshida 2010-09-28 19:46:59 UTC
Taking over.
Comment 4 Kohei Yoshida 2010-09-28 19:50:16 UTC
Checked into the calc repo.
http://cgit.freedesktop.org/libreoffice/calc/commit/?id=0d9b86479b9cb9208079ead14479becab8dc24d3

The patch was applied as-is, except for one skipped hunk which accidentally modified a licensing header.

Thanks for the patch. :-)
Comment 5 Tor Lillqvist 2010-09-29 00:22:32 UTC
Sorry, contributions need to be LGPL3, not GPL3.

But does a patch that only *removes* lines actually introduce anything that the patch creator would hold copyright on? Interesting question, but I guess yes, as a whole it affects the work and thus introduces you as a copyright holder.

So if you indeed insist on using GPL3 and not LGPL3 for the patch, I am afraid it can't be accepted.
Comment 6 Kohei Yoshida 2010-09-29 04:09:01 UTC
Oh yeah, that's a very important point.

Justin, as Tor said, we cannot accept GPL3.  Could you confirm that your patch is contributed under LGPL3 ?  Please let us know ASAP, or else we'll have to revert your change.
Comment 7 Kohei Yoshida 2010-09-29 04:21:43 UTC
He re-submitted an identical (except for one hunk which I didn't apply) patch under LGPL3:

http://lists.freedesktop.org/archives/libreoffice/2010-September/000045.html

Problem solved.
Comment 8 Justin Malcolm 2010-09-29 09:56:10 UTC
Created attachment 39049 [details]
I think that this eliminates the remaining //UNUSED comments

There were still some of these comments (actually, a lot of them).  The most recent attachment should get rid of the last of them.

The file is contributed under LGPL3+.  I had the same question about simple deletions.  Sorry for the confusion.
Comment 9 Justin Malcolm 2010-09-29 09:57:01 UTC
Setting status to 'REOPENED' as not all such comments have been removed.
Comment 10 Kohei Yoshida 2010-09-29 11:17:02 UTC
http://cgit.freedesktop.org/libreoffice/calc/commit/?id=10812e78236ef8e00c6d2bfad3998bea20ac88e1

Committed the last attached patch.  Thanks a lot.
Comment 11 sophie 2011-01-13 02:26:15 UTC
Closing - Sophie
Comment 12 Roman Eisele 2012-05-04 02:56:47 UTC
This is a Calc issue, therefore changed the 'Component' field appropriately.